<template>
  <div class="course-tag-wrapper">
    <div class="course-tag-hd">
      <h1 class="course-title">{{detail.course_name}}</h1>
    </div>
    <div class="course-tag-bd">
      <course-tag :courseId="courseId" :isTest="true" @ready="onReady"></course-tag>
    </div>
  </div>
</template>

<script>
import CourseTag from '@/pages/course/tag/index.vue'
export default {
  components: { CourseTag },
  metaInfo: {
    title: '知识点小测'
  },
  data() {
    return {
      detail: {}
    }
  },
  computed: {
    courseId() {
      return this.$route.query.id
    }
  },
  methods: {
    onReady(response) {
      this.detail = response
    }
  }
}
</script>
<style lang="scss" scoped>
.course-tag-wrapper {
  min-height: 100vh;
  background-color: #eee;
  box-sizing: border-box;
}
.course-tag-hd {
  padding: 0.4rem;
  background-color: #fff;
}
.course-tag-bd {
  padding: 0.4rem;
}
.course-title {
  font-size: 0.3rem;
  color: #222;
}
</style>
